Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.ddf
Class EscherSimpleProperty

    java.lang.Object
      org.apache.poi.ddf.EscherProperty
          org.apache.poi.ddf.EscherSimpleProperty

Direct Known Subclasses:
  EscherBoolProperty, EscherRGBProperty, EscherShapePathProperty

    public class EscherSimpleProperty

extends EscherProperty

A simple property is of fixed length and as a property number in addition to a 32-bit value. Properties that can't be stored in only 32-bits are stored as EscherComplexProperty objects.

Author:
  Glen Stampoultzis (glens at apache.org)

Constructor Summary
`EscherSimpleProperty(short propertyNumber, boolean isComplex, boolean isBlipId, int propertyValue)` Constructs a new escher property.
`EscherSimpleProperty(short id, int propertyValue)` The id is distinct from the actual property number.

Method Summary
`boolean` | `equals(java.lang.Object o)` Returns true if one escher property is equal to another.
`int` | `getPropertyValue()`
`int` | `hashCode()` Returns a hashcode so that this object can be stored in collections that require the use of such things.
`int` | `serializeComplexPart(byte[] data, int pos)` Escher properties consist of a simple fixed length part and a complex variable length part.
`int` | `serializeSimplePart(byte[] data, int offset)` Serialize the simple part of the escher record.
`java.lang.String` | `toString()`

Methods inherited from class org.apache.poi.ddf.EscherProperty
`getId, getName, getPropertyNumber, getPropertySize, isBlipId, isComplex`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EscherSimpleProperty

    public EscherSimpleProperty(short id,
                                int propertyValue)

  The id is distinct from the actual property number. The id includes the property number the blip id flag and an indicator whether the property is complex or not.

### EscherSimpleProperty

    public EscherSimpleProperty(short propertyNumber,
                                boolean isComplex,
                                boolean isBlipId,
                                int propertyValue)

  Constructs a new escher property. The three parameters are combined to form a property id.

Method Detail

### serializeSimplePart

    public int serializeSimplePart(byte[] data,
                                   int offset)

  Serialize the simple part of the escher record.

  Specified by:
    `serializeSimplePart` in class `EscherProperty`
  Returns:
    the number of bytes serialized.

### serializeComplexPart

    public int serializeComplexPart(byte[] data,
                                    int pos)

  Escher properties consist of a simple fixed length part and a complex variable length part. The fixed length part is serialized first.

  Specified by:
    `serializeComplexPart` in class `EscherProperty`

### getPropertyValue

    public int getPropertyValue()

  Returns:
    Return the 32 bit value of this property.

### equals

    public boolean equals(java.lang.Object o)

  Returns true if one escher property is equal to another.

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Returns a hashcode so that this object can be stored in collections that require the use of such things.

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the string representation of this property.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD